/*
 * Copyright (c) 2004, ADAPT project partners (IST-2001-37126).
 * 
 * ProductionLineBean.java
 */

package org.eu.adapt.demonstrator.eb.manufacturer;

import java.util.Collection;
import javax.ejb.CreateException;
import javax.ejb.EntityContext;
import javax.ejb.EntityBean;

public abstract class ProductionLineBean implements EntityBean
{
    public String ejbCreate(String name, StorehouseLocal storehouse)
        throws CreateException
    {
        setName(name);

        return null;
    }

    public void ejbPostCreate(String name, StorehouseLocal storehouse)
    {
        setStorehouse(storehouse);
    }

    public abstract void setName(String name);

    public abstract String getName();

    public abstract void setStorehouse(StorehouseLocal storehouse);

    public abstract StorehouseLocal getStorehouse();

    public abstract void setFinishedGoods(Collection finishedGoods);

    public abstract Collection getFinishedGoods();

    public void setEntityContext(EntityContext entityContext)
    {
    }

    public void unsetEntityContext()
    {
    }

    public void ejbActivate()
    {
    }

    public void ejbPassivate()
    {
    }

    public void ejbLoad()
    {
    }

    public void ejbStore()
    {
    }    

    public void ejbRemove()
    {
    }
}
